Get compensation form
curl --request GET \
--url https://api.kombo.dev/v1/hris/employments/{employment_id}/form/compensation \
--header 'Authorization: Bearer <token>' \
--header 'X-Integration-Id: <x-integration-id>'import requests
url = "https://api.kombo.dev/v1/hris/employments/{employment_id}/form/compensation"
headers = {
"X-Integration-Id": "<x-integration-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Integration-Id': '<x-integration-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.kombo.dev/v1/hris/employments/{employment_id}/form/compensation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombo.dev/v1/hris/employments/{employment_id}/form/compensation",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Integration-Id: <x-integration-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kombo.dev/v1/hris/employments/{employment_id}/form/compensation"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Integration-Id", "<x-integration-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kombo.dev/v1/hris/employments/{employment_id}/form/compensation")
.header("X-Integration-Id", "<x-integration-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombo.dev/v1/hris/employments/{employment_id}/form/compensation")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Integration-Id"] = '<x-integration-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"properties": {
"effectiveDate": {
"label": "Effective Date",
"required": true,
"description": "Date the new compensation starts",
"unified_key": null,
"type": "date",
"current_value": null
},
"amount": {
"label": "Yearly Salary",
"required": true,
"description": "Employee's new yearly salary",
"unified_key": "yearly_salary",
"type": "number",
"min": 0,
"max": null,
"current_value": 70000
},
"reason": {
"label": "Reason",
"required": true,
"description": "Reason for the change",
"unified_key": null,
"type": "single_select",
"options": {
"type": "inline",
"entries": [
{
"id": "4wPdBNLfMYBeXjNiQ5zKbStR",
"label": "Merit Increase",
"remote_id": "MERIT"
},
{
"id": "9B3Br4Qih9EAxXxbbXr3ubJK",
"label": "Promotion",
"remote_id": "PROMOTION"
}
]
},
"current_value": null
}
}
}
}
Update employment
Get compensation form
Get the form for updating an employment’s compensation.
GET
/
hris
/
employments
/
{employment_id}
/
form
/
compensation
Get compensation form
curl --request GET \
--url https://api.kombo.dev/v1/hris/employments/{employment_id}/form/compensation \
--header 'Authorization: Bearer <token>' \
--header 'X-Integration-Id: <x-integration-id>'import requests
url = "https://api.kombo.dev/v1/hris/employments/{employment_id}/form/compensation"
headers = {
"X-Integration-Id": "<x-integration-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Integration-Id': '<x-integration-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.kombo.dev/v1/hris/employments/{employment_id}/form/compensation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombo.dev/v1/hris/employments/{employment_id}/form/compensation",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Integration-Id: <x-integration-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kombo.dev/v1/hris/employments/{employment_id}/form/compensation"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Integration-Id", "<x-integration-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kombo.dev/v1/hris/employments/{employment_id}/form/compensation")
.header("X-Integration-Id", "<x-integration-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombo.dev/v1/hris/employments/{employment_id}/form/compensation")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Integration-Id"] = '<x-integration-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"properties": {
"effectiveDate": {
"label": "Effective Date",
"required": true,
"description": "Date the new compensation starts",
"unified_key": null,
"type": "date",
"current_value": null
},
"amount": {
"label": "Yearly Salary",
"required": true,
"description": "Employee's new yearly salary",
"unified_key": "yearly_salary",
"type": "number",
"min": 0,
"max": null,
"current_value": 70000
},
"reason": {
"label": "Reason",
"required": true,
"description": "Reason for the change",
"unified_key": null,
"type": "single_select",
"options": {
"type": "inline",
"entries": [
{
"id": "4wPdBNLfMYBeXjNiQ5zKbStR",
"label": "Merit Increase",
"remote_id": "MERIT"
},
{
"id": "9B3Br4Qih9EAxXxbbXr3ubJK",
"label": "Promotion",
"remote_id": "PROMOTION"
}
]
},
"current_value": null
}
}
}
}
Closed Beta Feature: This endpoint is now in closed beta. Please reach out to your account manager or support.
Example Form
{
"properties": {
"effectiveDate": {
"type": "date",
"label": "Effective Date",
"required": true,
"description": "Date the new compensation starts",
"unified_key": null,
"current_value": null
},
"amount": {
"type": "number",
"label": "Yearly Salary",
"required": true,
"description": "Employee's new yearly salary",
"unified_key": "yearly_salary",
"min": 0,
"max": null,
"current_value": 70000
},
"reason": {
"type": "single_select",
"label": "Reason",
"required": true,
"description": "Reason for the change",
"unified_key": null,
"current_value": null,
"options": {
"type": "inline",
"entries": [
{
"id": "4wPdBNLfMYBeXjNiQ5zKbStR",
"label": "Merit Increase",
"remote_id": "MERIT"
},
{
"id": "9B3Br4Qih9EAxXxbbXr3ubJK",
"label": "Promotion",
"remote_id": "PROMOTION"
}
]
}
}
}
}
Authorizations
Headers
ID of the integration you want to interact with.
Path Parameters
The Kombo ID or the HRIS ID of the employment. Find it in employments on the employee, or with Get employments.
Example:
"remote:67890"
Response
GET /hris/employments/:employment_id/form/compensation Positive response
Allowed value:
"success"Show child attributes
Show child attributes
Example:
{ "properties": { "effectiveDate": { "label": "Effective Date", "required": true, "description": "Date the new compensation starts", "unified_key": null, "type": "date", "current_value": null }, "amount": { "label": "Yearly Salary", "required": true, "description": "Employee's new yearly salary", "unified_key": "yearly_salary", "type": "number", "min": 0, "max": null, "current_value": 70000 }, "reason": { "label": "Reason", "required": true, "description": "Reason for the change", "unified_key": null, "type": "single_select", "options": { "type": "inline", "entries": [ { "id": "4wPdBNLfMYBeXjNiQ5zKbStR", "label": "Merit Increase", "remote_id": "MERIT" }, { "id": "9B3Br4Qih9EAxXxbbXr3ubJK", "label": "Promotion", "remote_id": "PROMOTION" } ] }, "current_value": null } } }
Was this page helpful?